# Kite - Detailed Router

Public Member Functions | Static Public Member Functions | List of all members
TrackMarker Class Reference

Tag part of Track with a weight. More...

## Public Member Functions
Net * | getNet () const
DbU::Unit | getSourceU () const
DbU::Unit | getTargetU () const
Track * | getTrack () const
unsigned int | getWeight (const Track *) const
void | setTrack (Track *)

## Static Public Member Functions
static TrackMarker * | create (RoutingPad *, size_t depth)

## Detailed Description

Tag part of Track with a weight.

TrackMarkers are used to assign a cost on a span of Track telling how strongly a terminal is dependant on that Track to be accessed. The more Track a terminal crosses, the less the weight is.

The weight is expressed in hundreth (can also be understood as percentage) of dependency over the Track. As example, if a terminal can only be accessed trough one Track is weight on it will be `100`.

## Member Function Documentation

## ◆ create()

create | ( | RoutingPad * | rp,
|  | size_t | depth
| ) |  |
| static

Parameters

  rp | The RoutingPad to be accessed.
  depth | Select the layer depth by which we want to access the RoutingPad.

Returns
  The newly created TrackMarker.

This constructor automatically take care of inserting the TrackMarker in the relevant Tracks, so it must be called during a Session.

## ◆ getNet()

Net * getNet | ( |  | ) | const

Returns: The net of the RoutingPad.

## ◆ getSourceU()

DbU::Unit getSourceU | ( |  | ) | const
| inline

Returns: The span minimum bound.

## ◆ getTargetU()

DbU::Unit getTargetU | ( |  | ) | const
| inline

Returns: The span maximum bound.

## ◆ getTrack()

Track * getTrack | ( |  | ) | const
| inline

Returns: The Track into which the marker is inserted.

## ◆ getWeight()

unsigned int getWeight | ( | const Track * | track | ) | const
| inline

Returns: The associated weight, for now the Track argument is ignored.

## ◆ setTrack()

void setTrack | ( | Track * | track | ) |
| inline

Sets the owning Track.

The documentation for this class was generated from the following files:

- TrackMarker.h
- TrackMarker.cpp
- TrackMarker.dox

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

Kite - Detailed Router | Copyright © 2008-2016 UPMC. All rights reserved